Caddy(8)

NAME

caddy-adapt - Adapts a configuration to Caddy's native JSON

SYNOPSIS

caddy adapt [flags]

DESCRIPTION

Adapts a configuration to Caddy's native JSON format and writes the output to stdout, along with any warnings to stderr.

If --pretty is specified, the output will be formatted with indentation for human readability.

If --validate is used, the adapted config will be checked for validity. If the config is invalid, an error will be printed to stderr and a non- zero exit status will be returned.

OPTIONS

--adapter="caddyfile"
    Name of config adapter

--config=""
    Configuration file to adapt (required)

-h, --help[=false]
    help for adapt

--pretty[=false]
    Format the output for human readability

--validate[=false]
    Validate the output

SEE ALSO

caddy(8)

HISTORY

10-May-2025 Auto generated by spf13/cobra